Index: class.bocalendar.inc.php
===================================================================
RCS file: /cvsroot/phpgroupware/calendar/inc/class.bocalendar.inc.php,v
retrieving revision 1.71.2.33.2.21
diff -c -r1.71.2.33.2.21 class.bocalendar.inc.php
*** class.bocalendar.inc.php	3 Mar 2004 20:57:55 -0000	1.71.2.33.2.21
--- class.bocalendar.inc.php	14 May 2004 15:15:48 -0000
***************
*** 2395,2401 ****
  					}
  					$details['startdate'] = $GLOBALS['phpgw']->common->show_date($starttime);
  					$details['enddate']   = $GLOBALS['phpgw']->common->show_date($endtime);
! 				
  					list($subject,$body) = split("\n",$GLOBALS['phpgw']->preferences->parse_notify($notify_msg,$details),2);
  					$subject = $send->encode_subject($subject);
  					switch($part_prefs['calendar']['update_format'])
--- 2395,2401 ----
  					}
  					$details['startdate'] = $GLOBALS['phpgw']->common->show_date($starttime);
  					$details['enddate']   = $GLOBALS['phpgw']->common->show_date($endtime);
! 
  					list($subject,$body) = split("\n",$GLOBALS['phpgw']->preferences->parse_notify($notify_msg,$details),2);
  					$subject = $send->encode_subject($subject);
  					switch($part_prefs['calendar']['update_format'])
***************
*** 2409,2414 ****
--- 2409,2437 ----
  									$body .= sprintf("%-20s %s\n",$val['field'].':',$details[$key]);
  								}
  							}
+ 							// start of jecinc section
+ 							// should this change depending on the msg?
+ 							// $body .= 'msg_type: '.$msg_type."\n";
+ 							$body .= "If you are already logged into phpgroupware, follow this link to edit the event info: ";
+ 							if($_SERVER['HTTPS'] == 'on' )
+ 				                        {
+                                 				$server = 'https://';
+ 				                        }
+ 				                        else
+ 				                        { 
+ 				                                $server = 'http://';
+ 				                        }
+ 				                        $server .= $_SERVER['HTTP_HOST'];
+ 							$body .= $server.$GLOBALS['phpgw_info']['server']['webserver_url'].'/index.php?menuaction=calendar.uicalendar.edit&cal_id='.$event['id']." \n\n";
+ 							$body .= "Follow this link to edit your response status: ";
+ 							$body .= $server.$GLOBALS['phpgw_info']['server']['webserver_url'].'/index.php?menuaction=calendar.uicalendar.edit_status&cal_id='.$event['id']." \n\n";
+ 							$body .= "\n\n\n";
+                                                         $body .= "If you are NOT already logged into phpgroupware, follow this link to edit the event info: ";
+                                                         $body .= $server.$GLOBALS['phpgw_info']['server']['webserver_url'].'/login.php?phpgw_forward=/index.php&phpgw_menuaction=calendar.uicalendar.edit&phpgw_cal_id='.$event['id']." \n\n";
+                                                         $body .= "Follow this link to edit your response status: ";
+                                                         $body .= $server.$GLOBALS['phpgw_info']['server']['webserver_url'].'/login.php?phpgw_forward=/index.php?phpgw_menuaction=calendar.uicalendar.edit_status&phpgw_cal_id='.$event['id']." \n\n";
+ 							// end of jecinc section
+ 
  							break;
  
  						case 'ical':
***************
*** 2431,2437 ****
  					}
  					$returncode = $send->msg('email',$to,$subject,$body,''/*$msgtype*/,'','','',$sender, $content_type/*,$boundary*/);
  					//echo "<p>send(to='$to', sender='$sender'<br>subject='$subject') returncode=$returncode<br>".nl2br($body)."</p>\n";
! 					
  					if (!$returncode)	// not nice, but better than failing silently
  					{
  						echo '<p><b>bocalendar::send_update</b>: '.lang("Failed sending message to '%1' #%2 subject='%3', sender='%4' !!!",$to,$userid,htmlspecialchars($subject), $sender)."<br>\n";
--- 2454,2460 ----
  					}
  					$returncode = $send->msg('email',$to,$subject,$body,''/*$msgtype*/,'','','',$sender, $content_type/*,$boundary*/);
  					//echo "<p>send(to='$to', sender='$sender'<br>subject='$subject') returncode=$returncode<br>".nl2br($body)."</p>\n";
! 
  					if (!$returncode)	// not nice, but better than failing silently
  					{
  						echo '<p><b>bocalendar::send_update</b>: '.lang("Failed sending message to '%1' #%2 subject='%3', sender='%4' !!!",$to,$userid,htmlspecialchars($subject), $sender)."<br>\n";
***************
*** 2442,2448 ****
  				}
  			}
  			unset($send);
! 		
  			if((is_int($this->user) && $this->user != $temp_user['account_id']) ||
  				(is_string($this->user) && $this->user != $temp_user['account_lid']))
  			{
--- 2465,2471 ----
  				}
  			}
  			unset($send);
! 
  			if((is_int($this->user) && $this->user != $temp_user['account_id']) ||
  				(is_string($this->user) && $this->user != $temp_user['account_lid']))
  			{
***************
*** 2453,2459 ****
  			$GLBOALS['phpgw']->datetime->tz_offset = ((60 * 60) * $temp_tz_offset);
  			$GLOBALS['phpgw_info']['user']['preferences']['common']['timeformat'] = $temp_timeformat;
  			$GLOBALS['phpgw_info']['user']['preferences']['common']['dateformat'] = $temp_dateformat;
! 			
  			return $returncode;
  		}
  
--- 2476,2482 ----
  			$GLBOALS['phpgw']->datetime->tz_offset = ((60 * 60) * $temp_tz_offset);
  			$GLOBALS['phpgw_info']['user']['preferences']['common']['timeformat'] = $temp_timeformat;
  			$GLOBALS['phpgw_info']['user']['preferences']['common']['dateformat'] = $temp_dateformat;
! 
  			return $returncode;
  		}
  
